Bug 15683 - segfault on 'cvs commit' when PreserverPermissions=yes
Summary: segfault on 'cvs commit' when PreserverPermissions=yes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-07 21:59 UTC by bastiaan
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 17:02:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bastiaan 2000-08-07 21:59:47 UTC
When 'PreservePermissions=yes' is set in the config of CVS, cvs segfaults
on checkin of files containing substition keywords. 
Example:

# cd /some/cvs/working/dir
# echo '$Id$' > crashme
# cvs add crashme
cvs add: scheduling file `crashme' for addition
cvs add: use 'cvs commit' to add this file permanently
# cvs commit -m 'no go'
cvs commit: Examining .
RCS file: /some/cvs/working/dir/crashme,v
done
Checking in crashme;
/opt/cvsroot/some/cvs/working/dir/crashme,v  <--  crashme
initial revision: 1.1
done
Segmentation fault (core dumped)

Comment 1 Eido Inoue 2004-10-29 17:02:27 UTC
PreservePermissions is no longer supported; disabled.


Note You need to log in before you can comment on or make changes to this bug.